# $Revision: 1.12 $, $Date: 2006/01/01 12:31:17 $
Summary:	OpenGL module for Ruby
Summary(pl):	Modu OpenGL dla Ruby
Name:		ruby-rbogl
Version:	0.32b
Release:	5
License:	GPL
Group:		Development/Languages
Source0:	http://www2.giganet.net/~yoshi/rbogl-%{version}.tgz
# Source0-md5:	94a689666a118b2ef10990183d5a308c
Patch0:		%{name}-extconf.patch
Patch1:		%{name}-cpp.patch
URL:		http://www2.giganet.net/~yoshi/
BuildRequires:	OpenGL-devel
BuildRequires:	glut-devel
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.8.4-5
BuildRequires:	sed >= 4.0
Requires:	OpenGL
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
OpenGL module for Ruby.

%description -l pl
Modu OpenGL dla Ruby.

%prep
%setup -q -n opengl
%patch0 -p1
%patch1 -p1
# TODO: see r1.6
sed -i -e 's#@LIBPATH@#/''usr/X11R6/%{_lib}#g#' extconf.rb

%build
ruby extconf.rb
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_sitearchdir},%{_examplesdir}/%{name}-%{version}}

install opengl.so $RPM_BUILD_ROOT%{ruby_sitearchdir}
install glut.so $RPM_BUILD_ROOT%{ruby_sitearchdir}
install sample/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.EUC ChangeLog
%attr(755,root,root) %{ruby_sitearchdir}/*.so
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-rbogl.spec,v $
Revision 1.12  2006/01/01 12:31:17  twittner
- fixed ruby-rbogl-extconf.patch (/usr/X11R6/lib":String (NoMethodError) error)
- added BR: ruby-devel >= 1:1.8.4-5 (ruby with ruby-mkfm-shared.patch)
- rel. 5, STBR

Revision 1.11  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.10  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.9  2005/12/27 09:43:31  twittner
- (B)R: s/ruby/ruby-modules/, rel. 4 (mass commit through script)

Revision 1.8  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.7  2005/03/27 10:06:01  havner
- rel 3

Revision 1.6  2005/03/27 10:03:23  havner
- extconf patch modified, i know nothing about ruby, this way it builds
  if someone wants to do it the right way be my guest.

Revision 1.5  2004/12/30 02:13:34  aredridel
- rel 2
- STBR

Revision 1.4  2004/12/30 02:08:46  aredridel
- fixed BR

Revision 1.3  2004/08/15 14:58:38  aredridel
- br: glut-devel

Revision 1.2  2003/10/13 22:18:45  qboosh
- cleanups/unifications

Revision 1.1  2003/09/07 15:24:55  aredridel
- added
